import re

from setuptools import setup

test_requirements = ['requests','mock','pytz', 'python-dateutil', 'shapely']

with open('jobcontrol/__init__.py', 'r') as fd:
    version = re.search(r'^__version__\s*=\s*[\'"]([^\'"]*)[\'"]',
                        fd.read(), re.MULTILINE).group(1)

setup(name='jobcontrol-callback',
      version=version,
      author='Dirk Daems',
      author_email='dirk.daems@vito.be',
      description='Callback client for MEP JobControl',
      url='https://bitbucket.org/vitotap/jobcontrol-callback-python',
      packages=['jobcontrol'],
      test_suite = 'tests',
      tests_require=test_requirements,
      install_requires=['requests', 'shapely']+test_requirements)
